## zeroc-ice 3.7.9

=== swift/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir := ..

include $(top_srcdir)/config/Make.rules

CONFIG ?= $(if $(filter $(OPTIMIZE),no),Debug,Release)
# TODO use ice-test.xcodeproj for binary builds once carthage support XCFramework prebuild packages
PROJECT ?= ice.xcodeproj
# PROJECT ?= $(if $(filter $(ICE_BIN_DIST), swift all),ice-test.xcodeproj,ice.xcodeproj)

# $(call make-xcodebuild-rule,$1=rule,$2=platform,$3=scheme,$4=target)
define make-xcodebuild-rule
$1:: $(PROJECT)
	xcodebuild -project $(PROJECT) \
                   -target "$3 $(if $(filter $2,macosx),macOS,iOS)" \
                   -configuration $(CONFIG) \
                   -sdk $2 $4
endef

ice.xcodeproj: Rakefile | carthage-bootstrap
	rake icesdistproj

ice-test.xcodeproj: Rakefile | carthage-bootstrap
	rake icebdistproj

all:: tests

carthage-bootstrap:
	$(Q)cd .. && carthage bootstrap --cache-builds --use-xcframeworks

tests srcs:: carthage-bootstrap

install::
	@echo nothing to install

project:
	@echo Project is $(PROJECT)

$(foreach p,$(platforms),$(eval $(call make-xcodebuild-rule,srcs,$p,Ice,build)))
$(foreach p,$(platforms),$(eval $(call make-xcodebuild-rule,tests,$p,TestDriver,build)))

$(foreach p,$(platforms),$(eval $(call make-xcodebuild-rule,clean,$p,Ice,clean)))
$(foreach p,$(platforms),$(eval $(call make-xcodebuild-rule,clean,$p,TestDriver,clean)))

$(foreach p,$(supported-platforms),$(eval $(call make-xcodebuild-rule,distclean,$p,Ice,clean)))
$(foreach p,$(supported-platforms),$(eval $(call make-xcodebuild-rule,distclean,$p,TestDriver,clean)))

=== debian/changelog ===
zeroc-ice (3.7.9-3) unstable; urgency=medium

  * Remove libzeroc-ice-java transitional package - Fix 1032756
  * Remove zeroc-ice-utils-java - Fix #1032757

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Thu, 20 Jul 2023 11:16:37 +0200

zeroc-ice (3.7.9-2) unstable; urgency=medium

  * Fix GCC13 build failure #1037911

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Thu, 20 Jul 2023 10:16:20 +0200

zeroc-ice (3.7.9-1) unstable; urgency=medium

  * New upstream version 3.7.9

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Tue, 28 Mar 2023 21:46:48 +0200

=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: optional
Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep: default-jdk,
                     gradle (>= 2),
                     gradle-ice-builder-plugin (>= 1.3.13),
                     libjgoodies-forms-java (>= 1.6.0),
                     libjgoodies-looks-java (>= 2.5.2),
                     openjfx
Build-Depends: debhelper,
               debhelper-compat (= 10),
               dh-exec,
               dh-php (>= 0.20),
               dh-python,
               javahelper,
               libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libbz2-dev,
               libdbus-1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libedit-dev,
               libexpat1-dev,
               liblmdb-dev,
               libmcpp-dev,
               libssl-dev,
               libsystemd-dev,
               locales-all,
               maven-repo-helper (>= 1.8),
               openssl,
               php-all-dev,
               php-cli,
               python3,
               python3-dev,
               python3-setuptools,
               python3-passlib
Standards-Version: 4.6.1
Homepage: https://zeroc.com
Vcs-Git: https://github.com/zeroc-ice/ice-debian-packaging.git
Vcs-Browser: https://github.com/zeroc-ice/ice-debian-packaging.git

Package: libzeroc-ice-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: libice++-dev,
          libzeroc-ice35-dev
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         zeroc-ice-compilers (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Description: libraries and headers for developing Ice applications in C++
 This package contains the libraries and headers needed for developing
 Ice applications in C++.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice3.7-java
Architecture: all
Multi-Arch: foreign
Section: java
Depends: ${misc:Depends}
Description: Ice for Java run-time libraries.
 This package contains Ice for Java run-time libraries.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-ice3.7
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: C++ run-time libraries for the Ice framework
 This package contains C++ run-time libraries for the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: libzeroc-icestorm3.7
Architecture: any
Multi-Arch: same
Section: net
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceStorm publish-subscribe event distribution service
 This package contains the IceStorm publish-subscribe event distribution
 service.
 .
 IceStorm helps you create push applications. Your Ice client (the publisher)
 sends a request to a topic managed by IceStorm, and IceStorm delivers this
 request to all the subscribers (Ice objects) that you registered with this
 topic.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: php-zeroc-ice
Architecture: any
Section: php
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${php:Provides}
Description: PHP extension for Ice
 This package contains a PHP extension for communicating with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: python3-zeroc-ice
Architecture: any
Section: python
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 extension for Ice
 This package contains a Python 3 extension for communication with Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-glacier2
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: glacier2,
          ice35-services
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Glacier2 router
 This package contains the Glacier2 router. A Glacier2 router allows you to
 securely route Ice communications across networks, such as the public Internet
 and a private network behind a firewall. With Glacier2, you only need to open
 one port in your firewall to make multiple back-end Ice servers reachable by
 remote Ice clients on the Internet.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-dev
Architecture: all
Section: devel
Depends: libzeroc-ice-dev (>= ${source:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Description: Ice development packages (metapackage)
 This is a metapackage that depends on all development packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-all-runtime
Architecture: all
Section: net
Depends: libzeroc-ice3.7-java (= ${source:Version}),
         libzeroc-ice3.7 (>= ${source:Version}),
         libzeroc-icestorm3.7 (>= ${source:Version}),
         php-zeroc-ice (>= ${source:Version}),
         python3-zeroc-ice (>= ${source:Version}),
         zeroc-glacier2 (>= ${source:Version}),
         zeroc-ice-slice (>= ${source:Version}),
         zeroc-ice-utils (>= ${source:Version}),
         zeroc-icebox (>= ${source:Version}),
         zeroc-icegrid (>= ${source:Version}),
         zeroc-icegridgui (>= ${source:Version}),
         zeroc-icepatch2 (>= ${source:Version}),
         zeroc-icebridge (>= ${source:Version}),
         ${misc:Depends}
Description: Ice run-time packages (metapackage)
 This is a metapackage that depends on all run-time packages for Ice.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-compilers
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Slice compilers for developing Ice applications
 This package contains Slice compilers for developing Ice applications.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-slice
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: Slice files for Ice
 This package contains Slice files used by the Ice framework.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-ice-utils
Architecture: any
Multi-Arch: foreign
Section: admin
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         libzeroc-icestorm3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ice utilities and admin tools
 This package contains Ice utilities and admin tools.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icegridgui
Architecture: all
Multi-Arch: foreign
Section: admin
Depends: default-jre,
         libzeroc-ice3.7-java (= ${source:Version}),
         ${java:Depends},
         ${misc:Depends}
Description: IceGrid Admin graphical client
 The IceGrid service helps you locate, deploy and manage Ice servers.
 .
 The IceGrid GUI give you complete control over your deployed applications.
 Activities such as starting a server or modifying a configuration setting are
 just a mouse click away.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icebox
Architecture: any
Multi-Arch: foreign
Section: net
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceBox server, a framework for Ice application services
 This package contains the IceBox server, an easy-to-use framework for
 developing and deploying application services.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icegrid
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: ice35-services,
          icegrid
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         libzeroc-icestorm3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Locate, deploy, and manage Ice servers
 This package contains the IceGrid service, the IceGrid service helps you
 locate, deploy and manage Ice servers.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on
 your application logic.

Package: zeroc-icepatch2
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: ice35-services,
          icepatch2
Depends: libzeroc-ice3.7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: File distribution and patching
 This package contains IcePatch2 service, with IcePatch2, you can easily
 distribute a large set of files to many clients, and keep these files
 synced with your source set.
 .
 Ice is a comprehensive RPC framework that helps you network your software
 with minimal effort. Ice takes care of all interactions with low-level
 network programming interfaces and allows you to focus your efforts on

## zeroc-ice 3.7.10

=== cpp/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules
include $(lang_srcdir)/config/Make.rules

#
# Load these project first in this order. These projects contains generated headers
# that other projects might depend on so it's important to parse them first for the
# generated headers variable to be defined when we load other projects.
#
load_first = Ice IceSSL IceBox IcePatch2Lib Glacier2Lib IceGridLib IceStormLib

#
# Create projects for all the Slice translators from src/slice2* and load source projects.
#
projects :=
$(foreach t,$(wildcard $(lang_srcdir)/src/slice2*),$(eval $(call create-translator-project,$(call project,$t))))
include $(foreach p,$(load_first),src/$p/Makefile.mk)
include $(filter-out $(foreach p,$(load_first),%/src/$p/Makefile.mk),$(shell find $(lang_srcdir)/src -name Makefile.mk))
$(call make-projects,$(projects),make-cpp-src-project,,$(filter all cpp,$(ICE_BIN_DIST)))

#
# Now, create and load test projects.
#
projects :=
tests := $(call tests-without-project-makefile,cpp)
include $(shell find $(lang_srcdir)/test -name Makefile.mk)
$(foreach t,$(tests),$(eval $(call create-cpp-test-project,$(t))))
$(call make-projects,$(projects),make-cpp-test-project)

install:: | $(DESTDIR)$(install_configdir)
	$(Q)$(call install-data,templates.xml,$(lang_srcdir)/config,$(install_configdir))

=== csharp/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

#
# We use /p:UseSharedCompilation=false /nr:false to ensure msbuild doesn't leave processes behind
# after the build (this causes make to hang).
#
DOTNETARGS = /p:UseSharedCompilation=false /nr:false /m
DOTNETBUILDARGS = $(if $(filter $(OPTIMIZE),no),/p:Configuration=Debug)

all:
	dotnet msbuild msbuild/ice.proj $(DOTNETARGS) $(DOTNETBUILDARGS)

tests:
	dotnet msbuild msbuild/ice.proj $(DOTNETARGS) $(DOTNETBUILDARGS)

srcs:
	dotnet msbuild msbuild/ice.proj $(DOTNETARGS) $(DOTNETBUILDARGS) /t:BuildDist

distclean clean:
	dotnet msbuild msbuild/ice.proj $(DOTNETARGS) /t:Clean

install::
	@echo nothing to install

=== java-compat/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

ifeq ($(GRADLE),)
GRADLE = ./gradlew
endif

ifneq ($(prefix),)
  GRADLEARGS += -Pprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
  GRADLEARGS += -PDESTDIR=$(DESTDIR)
endif

ifneq ($(install_javadir),)
  GRADLEARGS += -Dorg.gradle.project.jarDir=$(install_javadir)
endif

ifneq ($(install_bindir),)
  GRADLEARGS += -Dorg.gradle.project.binDir=$(install_bindir)
endif

all:
	$(GRADLE) $(GRADLEARGS) build

tests:
	$(GRADLE) $(GRADLEARGS) :test:assemble

srcs:
	$(GRADLE) $(GRADLEARGS) dist

distclean clean:
	$(GRADLE) $(GRADLEARGS) clean

install::
	$(GRADLE) $(GRADLEARGS) installJars

=== java/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

ifeq ($(GRADLE),)
GRADLE = ./gradlew
endif

ifneq ($(prefix),)
  GRADLEARGS += -Pprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
  GRADLEARGS += -PDESTDIR=$(DESTDIR)
endif

ifneq ($(install_javadir),)
  GRADLEARGS += -Dorg.gradle.project.jarDir=$(install_javadir)
endif

ifneq ($(install_bindir),)
  GRADLEARGS += -Dorg.gradle.project.binDir=$(install_bindir)
endif

all:
	$(GRADLE) $(GRADLEARGS) build

tests:
	$(GRADLE) $(GRADLEARGS) :test:assemble

srcs:
	$(GRADLE) $(GRADLEARGS) dist

distclean clean:
	$(GRADLE) $(GRADLEARGS) clean

install::
	$(GRADLE) $(GRADLEARGS) installJars :IceGridGUI:install

install-icegridgui::
	$(GRADLE) $(GRADLEARGS) :IceGridGUI:install

=== js/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

ifeq ($(NPM),)
NPM = npm
endif

all: npminstall
	$(NPM) run build

dist: npminstall
	$(NPM) run dist

install:

distclean clean: npminstall
	$(NPM) run clean

lint: npminstall
	$(NPM) run lint

npminstall:
	$(NPM) install --omit=optional

=== matlab/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules

matlab_version  = $(patsubst @@%@@,%,$(filter VERSION-%,$(shell $(matlab) -nodesktop -nosplash -r "fprintf('@@%s@@', version('-release'));exit(0);")))
icetoolbox_file = toolbox/ice-$(version)-R$(matlab_version)-linux.mltbx

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2matlab))
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceLocatorDiscovery IceDiscovery)))

#
# Load MATLAB rules after loading C++ dependencies
#
include $(lang_srcdir)/config/Make.rules

ifeq ($(filter all matlab,$(ICE_BIN_DIST)),)

#
# Load Makefile.mk fragments
#
include $(shell find $(lang_srcdir) -name Makefile.mk)

#
# Make the projects (this expands all the build configuration and defines rules for all
# the components).
#
$(call make-projects,$(projects))

$(eval $(call make-matlab-package,$(slicedir),lib/generated,Ice,%F.ice \
    %/FacetMap.ice \
    %/ImplicitContext.ice \
    %/Instrumentation.ice \
    %/Logger.ice \
    %/ObjectAdapter.ice \
    %/ObjectFactory.ice \
    %/Plugin.ice \
    %/Properties.ice \
    %/ServantLocator.ice))
$(eval $(call make-matlab-package,$(slicedir),lib/generated,Glacier2))
$(eval $(call make-matlab-package,$(slicedir),lib/generated,IceGrid))
$(eval $(call make-matlab-package,$(slicedir),lib/generated,IceStorm))

#
# icethunk mex library
#
icethunk_libdir = $(lang_srcdir)/lib/x86_64-linux-gnu
icethunk_srcdir = $(lang_srcdir)/src
icethunk_builddir = $(lang_srcdir)/src/build
icethunk_cflags = $(matlab_cflags) -I$(lang_srcdir)/src -m64 -fPIC -shared -pthread -Wl,--no-undefined
icethunk_target = $(icethunk_libdir)/icethunk.so
icethunk_proto = $(icethunk_libdir)/iceproto.m
cpp_libdir = $(if $(filter all cpp,$(ICE_BIN_DIST)),$(ice_home)/lib/x86_64-linux-gnu,$(top_srcdir)/cpp/lib/x86_64-linux-gnu)
cpp_bindir = $(if $(filter all cpp,$(ICE_BIN_DIST)),$(ice_home)/bin,$(top_srcdir)/cpp/bin)

.PRECIOUS: $(icethunk_proto)

$(icethunk_builddir)/ice.i: $(icethunk_srcdir)/ice.h
	mkdir -p $(icethunk_builddir)
	$(CC) -P -E -DMATLAB_PROTO $(icethunk_srcdir)/ice.h > $(icethunk_builddir)/ice.i

$(icethunk_builddir)/icethunk.c: $(icethunk_builddir)/ice.i
	cd $(icethunk_builddir) && \
	perl $(MATLAB_HOME)/toolbox/matlab/general/private/prototypes.pl ice.i \
	-thunkfile=icethunk.c \
	-outfile=iceproto.m

$(icethunk_proto): $(icethunk_builddir)/icethunk.c
	mkdir -p $(icethunk_libdir)
	cp $(icethunk_builddir)/iceproto.m $(icethunk_libdir)/

$(icethunk_target): $(lang_srcdir)/src/build/icethunk.c $(icethunk_proto)
	$(CC) $(lang_srcdir)/src/build/icethunk.c $(icethunk_cflags) -o $(icethunk_target)

clean::
	rm -rf $(lang_srcdir)/lib/x86_64-linux-gnu
	rm -rf $(icethunk_builddir)

all:: $(icethunk_target)

#
# Toolbox
#
$(icetoolbox_file):: $(icethunk_target) $(slice2matlab_path) $(lang_srcdir)/lib/x86_64-linux-gnu/ice.mexa64
	rm -rf $(lang_srcdir)/toolbox/build
	mkdir -p $(lang_srcdir)/toolbox/build
	cp $(lang_srcdir)/toolbox/toolbox.template.prj $(lang_srcdir)/toolbox/toolbox.prj
	sed -i 's|@RootDir@|$(lang_srcdir)|g' $(lang_srcdir)/toolbox/toolbox.prj
	sed -i 's|@MatlabHome@|$(MATLAB_HOME)|g' $(lang_srcdir)/toolbox/toolbox.prj
	sed -i 's/@IceVersion@/$(version)/g' $(lang_srcdir)/toolbox/toolbox.prj
	sed -i 's/@MatlabVersion@/R$(matlab_version)/g' $(lang_srcdir)/toolbox/toolbox.prj
	sed -i 's/@SLICE2MATLAB@/slice2matlab/g' $(lang_srcdir)/toolbox/toolbox.prj
	sed -i 's/@IS_WINDOWS@/false/g' $(lang_srcdir)/toolbox/toolbox.prj
	sed -i 's/@IS_LINUX@/true/g' $(lang_srcdir)/toolbox/toolbox.prj
	cp $(lang_srcdir)/toolbox/info.template.xml $(lang_srcdir)/toolbox/info.xml
	sed -i 's/@MatlabVersion@/R$(matlab_version)/g' $(lang_srcdir)/toolbox/info.xml
	# Sources and libraries
	mkdir -p $(lang_srcdir)/toolbox/build
	cp -rf $(lang_srcdir)/lib/*.m $(lang_srcdir)/toolbox/build
	cp -rf $(lang_srcdir)/lib/+* $(lang_srcdir)/toolbox/build
	cp -rf $(lang_srcdir)/lib/generated/+* $(lang_srcdir)/toolbox/build
	cp -rf $(lang_srcdir)/lib/x86_64-linux-gnu/* $(lang_srcdir)/toolbox/build
	cp -rLf $(cpp_libdir)/libIce++11.so.37 $(lang_srcdir)/toolbox/build
	cp -rLf $(cpp_libdir)/libIceSSL++11.so.37 $(lang_srcdir)/toolbox/build
	cp -rLf $(cpp_libdir)/libIceDiscovery++11.so.37 $(lang_srcdir)/toolbox/build
	cp -rLf $(cpp_libdir)/libIceLocatorDiscovery++11.so.37 $(lang_srcdir)/toolbox/build
	# Slice files
	mkdir -p $(lang_srcdir)/toolbox/build/slice
	cp -rf $(top_srcdir)/slice/Glacier2 $(lang_srcdir)/toolbox/build/slice
	cp -rf $(top_srcdir)/slice/Ice $(lang_srcdir)/toolbox/build/slice
	cp -rf $(top_srcdir)/slice/IceStorm $(lang_srcdir)/toolbox/build/slice
	cp -rf $(top_srcdir)/slice/IceGrid $(lang_srcdir)/toolbox/build/slice
	# Tools
	cp -rf $(cpp_bindir)/slice2matlab $(lang_srcdir)/toolbox/build/
	# Doc files
	cp -rf $(lang_srcdir)/toolbox/doc $(lang_srcdir)/toolbox/build
	cd $(lang_srcdir)/toolbox && $(MATLAB_HOME)/bin/matlab -nodisplay -r "addFolderToPath '`realpath build`'"
	cd $(lang_srcdir)/toolbox && $(MATLAB_HOME)/bin/matlab -nodisplay -r "buildToolbox '$(version)'"
	cd $(lang_srcdir)/toolbox && $(MATLAB_HOME)/bin/matlab -nodisplay -r "removeFolderFromPath '`realpath build`'"

clean::
	rm -rf $(icetoolbox_file)
	rm -rf $(lang_srcdir)/toolbox/build
	rm -rf $(lang_srcdir)/toolbox/toolbox.prj
	rm -rf $(lang_srcdir)/toolbox/info.xml

all:: $(icetoolbox_file)

toolbox:: $(icetoolbox_file)

endif

#
# Translate the Slice files from test directories
#
tests := $(call tests-without-project-makefile,m)
include $(shell find test -name Makefile.mk)
$(foreach t,$(tests),$(eval $(call make-matlab-test-project,$(t))))

=== php/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2php))
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceDiscovery IceLocatorDiscovery)))

#
# Load php rules after loading C++ dependencies
#
include $(lang_srcdir)/config/Make.rules

ifeq ($(filter all php,$(ICE_BIN_DIST)),)

#
# Load Makefile.mk fragments
#
ifeq ($(filter tests,$(MAKECMDGOALS)),)
    ifeq ($(php_major_version),5)
        include $(lang_srcdir)/src/php5/Makefile.mk
    else
        include $(lang_srcdir)/src/php/Makefile.mk
    endif
endif

#
# Make the projects (this expands all the build configuration and defines rules for all
# the components).
#
$(call make-projects,$(projects))

install:: | $(DESTDIR)$(install_phpdir)
	$(E) "Installing generated code"
	$(Q)$(INSTALL) -m 644 lib/Glacier2.php  lib/IceBox.php  lib/IceGrid.php lib/IcePatch2.php lib/IceStorm.php $(DESTDIR)$(install_phpdir)
ifeq ($(USE_NAMESPACES),no)
	$(Q)$(INSTALL) -m 644 lib/Ice_no_ns.php $(DESTDIR)$(install_phpdir)/Ice.php
else
	$(Q)$(INSTALL) -m 644 lib/Ice_ns.php $(DESTDIR)$(install_phpdir)/Ice.php
endif

$(eval $(call make-php-package,$(slicedir),lib,Ice))
$(eval $(call make-php-package,$(slicedir),lib,Glacier2))
$(eval $(call make-php-package,$(slicedir),lib,IceBox))
$(eval $(call make-php-package,$(slicedir),lib,IceGrid))
$(eval $(call make-php-package,$(slicedir),lib,IcePatch2))
$(eval $(call make-php-package,$(slicedir),lib,IceStorm))

endif

#
# Translate the Slice files from test directories
#
tests := $(call tests-without-project-makefile,php)
include $(shell find test -name Makefile.mk)
$(foreach t,$(tests),$(eval $(call make-php-test-project,$(t))))

=== python/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(lastword $(abspath $(MAKEFILE_LIST))))))

include $(top_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-dependencies,$(addprefix $(top_srcdir)/cpp/src/,Ice IceSSL IceLocatorDiscovery IceDiscovery)))

#
# Load python rules after loading C++ dependencies
#
include $(lang_srcdir)/config/Make.rules

ifeq ($(filter all python,$(ICE_BIN_DIST)),)

#
# Load Makefile.mk fragments
#
include $(shell find $(lang_srcdir) -name Makefile.mk)

#
# Make the projects (this expands all the build configuration and defines rules for all
# the components).
#
$(call make-projects,$(projects))

#
# We use a separate Makefile for building the python packages because their building
# requires .NOTPARALLEL
#
all generate-srcs clean distclean install::
	+$(Q)$(MAKE) -C python $@

endif

=== swift/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 all:: tests
 
 carthage-bootstrap:
-	$(Q)cd .. && carthage bootstrap --cache-builds --use-xcframeworks
+	$(Q)cd .. && carthage bootstrap --cache-builds --use-xcframeworks --platform macOS,iOS
 
 tests srcs:: carthage-bootstrap

=== python/python/Makefile ===
#
# Copyright (c) ZeroC, Inc. All rights reserved.
#

top_srcdir      := ../..
lang_srcdir     := $(top_srcdir)/$(notdir $(patsubst %/,%,$(dir $(abspath $(dir $(abspath $(lastword $(MAKEFILE_LIST))))))))

include $(top_srcdir)/config/Make.rules
include $(lang_srcdir)/config/Make.rules

#
# Load C++ dependencies
#
$(eval $(call load-translator-dependencies,$(top_srcdir)/cpp/src/slice2py))

.NOTPARALLEL:

$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,Ice,--no-package))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,Glacier2,--no-package))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceBox))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceMX))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceGrid))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IcePatch2))
$(eval $(call make-python-package,$(slicedir),$(lang_srcdir)/python,IceStorm))

# Generate these two files individually without the --no-package option to ensure the
# IceMX package is updated.
$(eval $(call make-python-slice,$(slicedir),$(lang_srcdir)/python,Ice,Metrics))
$(eval $(call make-python-slice,$(slicedir),$(lang_srcdir)/python,Glacier2,Metrics))

install:: | $(DESTDIR)$(install_pythondir)/Ice
	$(E) "Installing generated code"
	$(Q)$(INSTALL) -m 644 Ice/__init__.py $(DESTDIR)$(install_pythondir)/Ice
# Ice/Future requires python >= 3.5
ifeq ($(shell $(PYTHON) -c "import sys; print(1 if sys.version_info[:2] >= (3, 5) else 0)"),1)
	$(Q)$(MKDIR) -p -m 755 $(DESTDIR)$(install_pythondir)/Ice/Py3
	$(Q)$(INSTALL) -m 644 Ice/Py3/IceFuture.py $(DESTDIR)$(install_pythondir)/Ice/Py3/
endif

install:: | $(DESTDIR)$(install_pythondir)/Glacier2
	$(Q)$(INSTALL) -m 644 Glacier2/__init__.py $(DESTDIR)$(install_pythondir)/Glacier2

=== debian/changelog ===
zeroc-ice (3.7.10-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:54:48 +1100

zeroc-ice (3.7.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063309

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 00:14:45 +0000

zeroc-ice (3.7.10-2) unstable; urgency=medium

  * Set javaTargetRelease for java-compat builds using $java_compat_level (Closes: #1057672)

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Wed, 28 Feb 2024 10:13:28 +0100

zeroc-ice (3.7.10-1) unstable; urgency=medium

  * New upstream version 3.7.10

 -- José Gutiérrez de la Concha <jose@zeroc.com>  Mon, 06 Nov 2023 21:35:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: zeroc-ice
 Section: devel
 Priority: optional
-Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends-Indep: default-jdk,
                      gradle (>= 2),
                      gradle-ice-builder-plugin (>= 1.3.13),
                      libjgoodies-forms-java (>= 1.6.0),
-                     libjgoodies-looks-java (>= 2.5.2),
-                     openjfx
-Build-Depends: debhelper,
+                     libjgoodies-looks-java (>= 2.5.2)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper,
                debhelper-compat (= 10),
                dh-exec,
                dh-php (>= 0.20),
@@ -44,7 +44,7 @@
 Section: libdevel
 Replaces: libice++-dev,
           libzeroc-ice35-dev
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
          zeroc-ice-compilers (= ${binary:Version}),
          zeroc-ice-slice (= ${source:Version}),
          ${misc:Depends}
@@ -70,7 +70,10 @@
  network programming interfaces and allows you to focus your efforts on
  your application logic.
 
-Package: libzeroc-ice3.7
+Package: libzeroc-ice3.7t64
+Provides: ${t64:Provides}
+Replaces: libzeroc-ice3.7
+Breaks: libzeroc-ice3.7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -86,12 +89,15 @@
  network programming interfaces and allows you to focus your efforts on
  your application logic.
 
-Package: libzeroc-icestorm3.7
+Package: libzeroc-icestorm3.7t64
+Provides: ${t64:Provides}
+Replaces: libzeroc-icestorm3.7
+Breaks: libzeroc-icestorm3.7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: net
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: IceStorm publish-subscribe event distribution service
@@ -111,7 +117,7 @@
 Package: php-zeroc-ice
 Architecture: any
 Section: php
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
          ${misc:Depends},
          ${php:Depends},
          ${shlibs:Depends}
@@ -127,7 +133,7 @@
 Package: python3-zeroc-ice
 Architecture: any
 Section: python
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -145,7 +151,7 @@
 Section: net
 Replaces: glacier2,
           ice35-services
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Glacier2 router
@@ -179,8 +185,8 @@
 Architecture: all
 Section: net
 Depends: libzeroc-ice3.7-java (= ${source:Version}),
-         libzeroc-ice3.7 (>= ${source:Version}),
-         libzeroc-icestorm3.7 (>= ${source:Version}),
+         libzeroc-ice3.7t64 (>= ${source:Version}),
+         libzeroc-icestorm3.7t64 (>= ${source:Version}),
          php-zeroc-ice (>= ${source:Version}),
          python3-zeroc-ice (>= ${source:Version}),
          zeroc-glacier2 (>= ${source:Version}),
@@ -204,7 +210,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: devel
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
          zeroc-ice-slice (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -233,8 +239,8 @@
 Architecture: any
 Multi-Arch: foreign
 Section: admin
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
-         libzeroc-icestorm3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
+         libzeroc-icestorm3.7t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Ice utilities and admin tools
@@ -269,7 +275,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: net
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: IceBox server, a framework for Ice application services
@@ -287,8 +293,8 @@
 Section: net
 Replaces: ice35-services,
           icegrid
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
-         libzeroc-icestorm3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
+         libzeroc-icestorm3.7t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Locate, deploy, and manage Ice servers
@@ -306,14 +312,8 @@
 Section: net
 Replaces: ice35-services,
           icepatch2
-Depends: libzeroc-ice3.7 (= ${binary:Version}),
+Depends: libzeroc-ice3.7t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: File distribution and patching
  This package contains IcePatch2 service, with IcePatch2, you can easily
- distribute a large set of files to many clients, and keep these files
- synced with your source set.
- .
- Ice is a comprehensive RPC framework that helps you network your software
- with minimal effort. Ice takes care of all interactions with low-level
- network programming interfaces and allows you to focus your efforts on

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export LC_ALL=en_US.UTF-8

# This has to be exported to make some magic below work.
export DH_OPTIONS

# enable dpkg build flags
# disable full hardening for now
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

include /usr/share/java/java_defaults.mk
java_compat_level ?= 8

export JAVA_HOME=/usr/lib/jvm/default-java/

#
# Use the system gradle unless it has been overridden by GRADLE
# environment variable.
#
ifeq ($(GRADLE),)
export GRADLE		= gradle
# When building with gradle debian package use the "debian" version of builder, the new
# builder is no compatible with old gradle version included in debian.
#
# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=926714
export OFFLINE_GRADLEARGS	= --offline \
			  -PiceBuilderVersion=debian \
			  -PiceBuilderClassPath=com.zeroc.gradle.ice-builder
endif

export GRADLEARGS	= --gradle-user-home $(CURDIR)/.gradle \
			  --info \
			  --console plain \
			  --stacktrace \
			  --no-daemon \
			  --refresh-dependencies \
			  -PiceGridGuiUseJavaFX=false \
			  -PicegridguiProguard=false \
			  -PjarsClassPath=true \
			  -PjgoodiesLooksVersion=debian \
			  -PjgoodiesFormsVersion=debian \
			  -PopenjfxVersion=debian \
			  $(OFFLINE_GRADLEARGS)
#
# These files are not installed with any debian package.
#
INSTALL_EXCLUDE		= usr/bin/slice2confluence

PHP_VERSIONS 		:= $(shell /usr/sbin/phpquery -V)

export PYTHON3DIR 	:= $(shell python3 -c "import sys;print('python{0}.{1}'.format(sys.version_info.major, sys.version_info.minor))")

export VERSION   := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,^\([.0-9|.a-z]*\).*,\1,')

DESTDIR=$(CURDIR)/debian/tmp
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTIMIZE=yes
else
	OPTIMIZE=no
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	PROCESSORS := $(shell cat /proc/cpuinfo | grep processor | wc -l)
	ifneq ($(PROCESSORS),0)
	    MAKEFLAGS += -j$(PROCESSORS)
	endif
endif

DHARGS	= --parallel --with maven_repo_helper --with php --with python3 --with javahelper

MAKEOPTS = V=1 prefix=/usr DESTDIR=$(DESTDIR)

%:
	dh $@ $(DHARGS)

override_dh_auto_build-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) PYTHON=python3 LANGUAGES="cpp python" CONFIGS="shared cpp11-shared static cpp11-static" srcs
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKEOPTS) OPTIMIZE=no LANGUAGES=cpp CONFIGS="shared cpp11-shared" tests
endif
	for v in $(PHP_VERSIONS); do \
	  cp -a php php-$${v}; \
	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C php-$${v}; \
	done

override_dh_auto_build-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C cpp slice2java
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=java srcs
	GRADLEARGS="$(GRADLEARGS) -PtargetJavaRelease=$(java_compat_level)" $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=java-compat srcs
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKEOPTS) LANGUAGES=java tests
	GRADLEARGS="$(GRADLEARGS) -PtargetJavaRelease=$(java_compat_level)" $(MAKE) $(MAKEOPTS) LANGUAGES=java-compat tests
endif

override_dh_auto_install-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) PYTHON=python3 LANGUAGES="cpp python" CONFIGS="shared cpp11-shared static cpp11-static" install
	for v in $(PHP_VERSIONS); do \
	  PHP_CONFIG=php-config$${v} $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) -C php-$${v} install; \
	done
	rm -rf $(addprefix $(DESTDIR)/,$(INSTALL_EXCLUDE))

override_dh_auto_install-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=java install
	GRADLEARGS="$(GRADLEARGS) -PtargetJavaRelease=$(java_compat_level)" $(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=java-compat install
	rm -rf $(DESTDIR)/usr/share/java/*-sources.jar

override_dh_auto_clean-arch:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) PYTHON=python3 LANGUAGES="cpp python" CONFIGS="shared cpp11-shared static cpp11-static" distclean
	for v in $(PHP_VERSIONS); do \
	  rm -rf php-$${v}; \
	done

override_dh_auto_clean-indep:
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES=cpp distclean
#
# Don't fail if gradle isn't present
#
ifeq ($(shell type $(GRADLE) > /dev/null 2>&1 && echo 0),0)
	$(MAKE) $(MAKEOPTS) OPTIMIZE=$(OPTIMIZE) LANGUAGES="java java-compat" clean
endif
	rm -rf java/.gradle
	rm -rf java-compat/.gradle
	rm -rf $(CURDIR)/.gradle

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-python3 cpp/allTests.py --rfilter=IceUtil/stacktrace --rfilter IceGrid/simple --rfilter IceDiscovery
	-python3 cpp/allTests.py --config=cpp11-shared --rfilter=IceUtil/stacktrace --rfilter IceGrid/simple --rfilter IceDiscovery
endif

override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-python3 java/allTests.py --rfilter Glacier2 --rfilter IceGrid --rfilter IceDiscovery
	-python3 java-compat/allTests.py --rfilter Glacier2 --rfilter IceGrid --rfilter IceDiscovery
endif

override_dh_clean:
	find . -iname "*.pyc" -exec rm -rf {} \;
	dh_clean

override_dh_systemd_enable:
	dh_installsystemd --name icegridregistry --no-enable --no-start
	dh_installsystemd --name icegridnode --no-enable --no-start
	dh_installsystemd --name glacier2router --no-enable --no-start

override_dh_install:
	install -d -m 0755 $(DESTDIR)/usr/bin
	install -m 0755 debian/zeroc-icegridgui.icegridgui $(DESTDIR)/usr/bin/icegridgui
	install -d -m 0755 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/zeroc-icegridgui.icegridgui.1 $(DESTDIR)/usr/share/man/man1/icegridgui.1
	install -d -m 0755 $(DESTDIR)/etc/

	install -m 0644 debian/zeroc-glacier2.glacier2router.conf $(DESTDIR)/etc/glacier2router.conf
	install -m 0644 debian/zeroc-icegrid.icegridnode.conf $(DESTDIR)/etc/icegridnode.conf
	install -m 0644 debian/zeroc-icegrid.icegridregistry.conf $(DESTDIR)/etc/icegridregistry.conf

	dh_install
	dh_missing --list-missing -X.pom -XICE_LICENSE -XLICENSE
	jh_depends -pzeroc-icegridgui

override_dh_strip:
	dh_strip
	# Sadly, perl "-B" test (used by dh_strip) for binary files sometime misses some binary files,
	# the following ensures, static libraries are always stripped even if the binary check fails.
	strip --strip-debug --remove-section=.comment --remove-section=.note --enable-deterministic-archives \
		debian/libzeroc-ice-dev/usr/lib/*/lib*.a

override_dh_installdocs:
	dh_installdocs -A debian/README

override_mh_install-arch:

override_mh_install-indep:
	mh_install

get-orig-source:
	uscan --download-current-version --rename --force-download

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg1"
https://github.com/zeroc-ice/ice/tags /zeroc-ice/ice/archive/refs/tags/v([0-9]+)\.([0-9]+)\.([0-9]+)\.tar\.gz
